<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>LocalPeerBean.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper.server.quorum</a> &gt; <span class="el_source">LocalPeerBean.java</span></div><h1>LocalPeerBean.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.zookeeper.server.quorum;


/**
 * Implementation of the local peer MBean interface.
 */
public class LocalPeerBean extends ServerBean implements LocalPeerMXBean {
    private final QuorumPeer peer;
    
<span class="fc" id="L28">    public LocalPeerBean(QuorumPeer peer) {</span>
<span class="fc" id="L29">        this.peer = peer;</span>
<span class="fc" id="L30">    }</span>

    public String getName() {
<span class="fc" id="L33">        return &quot;replica.&quot; + peer.getId();</span>
    }

    public boolean isHidden() {
<span class="fc" id="L37">        return false;</span>
    }

    public int getTickTime() {
<span class="nc" id="L41">        return peer.getTickTime();</span>
    }
    
    public int getMaxClientCnxnsPerHost() {
<span class="nc" id="L45">        return peer.getMaxClientCnxnsPerHost();</span>
    }

    public int getMinSessionTimeout() {
<span class="nc" id="L49">        return peer.getMinSessionTimeout();</span>
    }
    
    public int getMaxSessionTimeout() {
<span class="nc" id="L53">        return peer.getMaxSessionTimeout();</span>
    }
    
    public int getInitLimit() {
<span class="nc" id="L57">        return peer.getInitLimit();</span>
    }
    
    public int getSyncLimit() {
<span class="nc" id="L61">        return peer.getSyncLimit();</span>
    }
    
    public int getTick() {
<span class="nc" id="L65">        return peer.getTick();</span>
    }
    
    public String getState() {
<span class="nc" id="L69">        return peer.getServerState();</span>
    }
    
    public String getQuorumAddress() {
<span class="nc" id="L73">        return peer.getQuorumAddress().toString();</span>
    }
    
    public int getElectionType() {
<span class="nc" id="L77">        return peer.getElectionType();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>